"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailAddressParser = void 0;
const addressparser_1 = __importDefault(require("nodemailer/lib/addressparser"));
class EmailAddressParser {
    static parse(email) {
        if (!email || typeof email !== 'string' || !email.length) {
            return null;
        }
        const parsed = (0, addressparser_1.default)(email);
        if (parsed.length !== 1) {
            return null;
        }
        const first = parsed[0];
        // Check first has a group property
        if ('group' in first) {
            // Unsupported format
            return null;
        }
        return {
            address: first.address,
            name: first.name || undefined
        };
    }
    static stringify(email) {
        if (!email.name) {
            return email.address;
        }
        const escapedName = email.name.replace(/"/g, '\\"');
        return `"${escapedName}" <${email.address}>`;
    }
}
exports.EmailAddressParser = EmailAddressParser;
//# sourceMappingURL=EmailAddressParser.js.map